> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check PEP (Webhook)

> ```
POST api/v1/aml/pep
```


<Note>
  [See full response sent to your webhook](check-pep-instant#response-message)
</Note>


## OpenAPI

````yaml aml-model.json POST /aml/pep
openapi: 3.1.0
info:
  title: Sigma API
  description: Sigma AML API documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://sigmaaml.sabipay.com/api/v1
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /aml/pep:
    post:
      description: Checks if a user is on the pep list and returns result to your webhook
      requestBody:
        description: Pep request payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckPepPayload'
            example:
              name: Kwame Asare Mensah
              threshold: 85
              country: GH
      responses:
        '200':
          description: Check PEP result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckPepWebhookResponse'
        '400':
          description: Invalid input or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CheckPepPayload:
      type: object
      required:
        - name
        - threshold
      properties:
        name:
          type: string
          description: Full name of the individual to be screened
        threshold:
          type: number
          description: Matching threshold for screening (e.g. similarity score)
          example: 85
        country:
          type: string
          description: Country code (e.g., 'ru' for Russia)
      example:
        name: Kwame Asare Mensah
        threshold: 85
        country: GH
    CheckPepWebhookResponse:
      type: object
      properties:
        message:
          type: string
          example: Request created successfully. Result will be sent to your webhook
          description: Message after the PEP request is successfully submitted
        data:
          type: object
          description: Details of the submitted PEP screening request
          properties:
            id:
              type: string
              description: Unique identifier for the submitted request
            query:
              type: string
              description: The name or term submitted for PEP screening
            businessProfile:
              type: string
              description: ID of the business profile associated with the request
            status:
              type: string
              enum:
                - pending
                - completed
                - failed
              description: Current status of the screening request
            createdAt:
              type: string
              format: date-time
              description: Timestamp indicating when the request was created
            updatedAt:
              type: string
              format: date-time
              description: Timestamp indicating the last update to the request
      example:
        message: Request created successfully. Result will be sent to your webhook
        data:
          id: 67f95ea7c2a7d1f2b6ea10b4
          query: Kwame Asare Mensah
          businessProfile: 67f4f9b5c2a7d1f2b6e99122
          status: pending
          createdAt: '2026-04-03T09:20:00.000Z'
          updatedAt: '2026-04-03T09:20:00.000Z'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      example:
        error: 400
        message: 'Invalid request payload: name is required'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    ApiSecretAuth:
      type: apiKey
      in: header
      name: apiSecret

````